For the complete documentation index, see llms.txt. This page is also available as Markdown.

Integrations

list Integrations

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
categorystring[] · nullableOptional
connector_idstring[] · nullableOptional
limitinteger · int32OptionalDefault: 100
namestring · nullableOptional

Filter integrations by name. Supports wildcard () for partial matches - use * for contains, prefix for starts with, *suffix for ends with

page_tokenstring · nullableOptional
statusstring[] · nullableOptional
typestring[] · nullableOptional

Filter integrations by type. Supports wildcard () for partial matches - use * for contains, prefix for starts with, *suffix for ends with

Responses
200

OK

application/json
get/api/admin/v4/integrations
GET /api/admin/v4/integrations HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

OK

{
  "items": [
    {
      "id": "text",
      "name": "text",
      "type": "text",
      "category": "text",
      "connector_id": "text",
      "status": "text",
      "last_sync_time": "text",
      "integration_config": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "secret_store_config": {
        "aws": {
          "region": "text",
          "secret_id": "text"
        },
        "gcp": {
          "project": "text",
          "secret_id": "text"
        },
        "kubernetes": {
          "namespace": "text",
          "name": "text"
        },
        "azure": {
          "vault_url": "text",
          "name": "text"
        },
        "hashicorp_vault": {
          "secret_engine": "text",
          "path": "text"
        },
        "onepassword": {
          "vault_id": "text",
          "item_id": "text"
        },
        "apono": {
          "parameters": {
            "ANY_ADDITIONAL_PROPERTY": "text"
          }
        }
      },
      "connected_resource_types": [
        "text"
      ],
      "custom_access_details": "text",
      "owner": {
        "attribute_type": "text",
        "attribute_value": [
          "text"
        ],
        "source_integration_id": "text",
        "source_integration_name": "text"
      },
      "owners_mapping": {
        "key_name": "text",
        "attribute_type": "text",
        "source_integration_id": "text",
        "source_integration_name": "text"
      }
    }
  ],
  "pagination": {
    "next_page_token": "text"
  }
}

Create Integration

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
namestringRequired

Unique, alphanumeric, user-friendly name used to identify the integration

typestringRequired

Apono-defined identifier for the specific integration type

connector_idstring · nullableOptional

Unique identifier of the Apono connector

connected_resource_typesstring[] · nullableOptional

List of discoverable resource types within the integration

custom_access_detailsstring · nullableOptional

Admin custom instructions (max 400 characters) for accessing the integration’s resources, shown to end users

Responses
200

OK

application/json
idstringRequired

Unique identifier of the integration

namestringRequired

Unique, alphanumeric, user-friendly name used to identify the integration

typestringRequired

Apono-defined identifier for the specific integration type

categorystringRequired

Apono-defined grouping for the integration

connector_idstring · nullableOptional

Unique identifier of the Apono connector

statusstringRequired

Operational state of the integration

last_sync_timestring · date-timeOptional

ISO 8601 formatted date-time

connected_resource_typesstring[] · nullableOptional

List of discoverable resource types within the integration

custom_access_detailsstring · nullableOptional

Admin custom instructions (max 400 characters) for accessing the integration’s resources, shown to end users

post/api/admin/v4/integrations
POST /api/admin/v4/integrations HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 744

{
  "name": "text",
  "type": "text",
  "connector_id": "text",
  "integration_config": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "secret_store_config": {
    "aws": {
      "region": "text",
      "secret_id": "text"
    },
    "gcp": {
      "project": "text",
      "secret_id": "text"
    },
    "kubernetes": {
      "namespace": "text",
      "name": "text"
    },
    "azure": {
      "vault_url": "text",
      "name": "text"
    },
    "hashicorp_vault": {
      "secret_engine": "text",
      "path": "text"
    },
    "onepassword": {
      "vault_id": "text",
      "item_id": "text"
    },
    "apono": {
      "parameters": {
        "ANY_ADDITIONAL_PROPERTY": "text"
      }
    }
  },
  "connected_resource_types": [
    "text"
  ],
  "custom_access_details": "text",
  "owner": {
    "attribute_type": "text",
    "attribute_value": [
      "text"
    ],
    "source_integration_reference": "text"
  },
  "owners_mapping": {
    "key_name": "text",
    "attribute_type": "text",
    "source_integration_reference": "text"
  }
}
200

OK

{
  "id": "text",
  "name": "text",
  "type": "text",
  "category": "text",
  "connector_id": "text",
  "status": "text",
  "last_sync_time": "text",
  "integration_config": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "secret_store_config": {
    "aws": {
      "region": "text",
      "secret_id": "text"
    },
    "gcp": {
      "project": "text",
      "secret_id": "text"
    },
    "kubernetes": {
      "namespace": "text",
      "name": "text"
    },
    "azure": {
      "vault_url": "text",
      "name": "text"
    },
    "hashicorp_vault": {
      "secret_engine": "text",
      "path": "text"
    },
    "onepassword": {
      "vault_id": "text",
      "item_id": "text"
    },
    "apono": {
      "parameters": {
        "ANY_ADDITIONAL_PROPERTY": "text"
      }
    }
  },
  "connected_resource_types": [
    "text"
  ],
  "custom_access_details": "text",
  "owner": {
    "attribute_type": "text",
    "attribute_value": [
      "text"
    ],
    "source_integration_id": "text",
    "source_integration_name": "text"
  },
  "owners_mapping": {
    "key_name": "text",
    "attribute_type": "text",
    "source_integration_id": "text",
    "source_integration_name": "text"
  }
}

Get Integration By Id

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired
Responses
200

OK

application/json
idstringRequired

Unique identifier of the integration

namestringRequired

Unique, alphanumeric, user-friendly name used to identify the integration

typestringRequired

Apono-defined identifier for the specific integration type

categorystringRequired

Apono-defined grouping for the integration

connector_idstring · nullableOptional

Unique identifier of the Apono connector

statusstringRequired

Operational state of the integration

last_sync_timestring · date-timeOptional

ISO 8601 formatted date-time

connected_resource_typesstring[] · nullableOptional

List of discoverable resource types within the integration

custom_access_detailsstring · nullableOptional

Admin custom instructions (max 400 characters) for accessing the integration’s resources, shown to end users

get/api/admin/v4/integrations/{id}
GET /api/admin/v4/integrations/{id} HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

OK

{
  "id": "text",
  "name": "text",
  "type": "text",
  "category": "text",
  "connector_id": "text",
  "status": "text",
  "last_sync_time": "text",
  "integration_config": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "secret_store_config": {
    "aws": {
      "region": "text",
      "secret_id": "text"
    },
    "gcp": {
      "project": "text",
      "secret_id": "text"
    },
    "kubernetes": {
      "namespace": "text",
      "name": "text"
    },
    "azure": {
      "vault_url": "text",
      "name": "text"
    },
    "hashicorp_vault": {
      "secret_engine": "text",
      "path": "text"
    },
    "onepassword": {
      "vault_id": "text",
      "item_id": "text"
    },
    "apono": {
      "parameters": {
        "ANY_ADDITIONAL_PROPERTY": "text"
      }
    }
  },
  "connected_resource_types": [
    "text"
  ],
  "custom_access_details": "text",
  "owner": {
    "attribute_type": "text",
    "attribute_value": [
      "text"
    ],
    "source_integration_id": "text",
    "source_integration_name": "text"
  },
  "owners_mapping": {
    "key_name": "text",
    "attribute_type": "text",
    "source_integration_id": "text",
    "source_integration_name": "text"
  }
}

Update Integration

put
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired
Body
namestringRequired

Unique, alphanumeric, user-friendly name used to identify the integration

connector_idstring · nullableOptional

Unique identifier of the Apono connector

connected_resource_typesstring[] · nullableOptional

List of discoverable resource types within the integration

custom_access_detailsstring · nullableOptional

Admin custom instructions (max 400 characters) for accessing the integration’s resources, shown to end users

Responses
200

OK

application/json
idstringRequired

Unique identifier of the integration

namestringRequired

Unique, alphanumeric, user-friendly name used to identify the integration

typestringRequired

Apono-defined identifier for the specific integration type

categorystringRequired

Apono-defined grouping for the integration

connector_idstring · nullableOptional

Unique identifier of the Apono connector

statusstringRequired

Operational state of the integration

last_sync_timestring · date-timeOptional

ISO 8601 formatted date-time

connected_resource_typesstring[] · nullableOptional

List of discoverable resource types within the integration

custom_access_detailsstring · nullableOptional

Admin custom instructions (max 400 characters) for accessing the integration’s resources, shown to end users

put/api/admin/v4/integrations/{id}
PUT /api/admin/v4/integrations/{id} HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 730

{
  "name": "text",
  "connector_id": "text",
  "integration_config": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "secret_store_config": {
    "aws": {
      "region": "text",
      "secret_id": "text"
    },
    "gcp": {
      "project": "text",
      "secret_id": "text"
    },
    "kubernetes": {
      "namespace": "text",
      "name": "text"
    },
    "azure": {
      "vault_url": "text",
      "name": "text"
    },
    "hashicorp_vault": {
      "secret_engine": "text",
      "path": "text"
    },
    "onepassword": {
      "vault_id": "text",
      "item_id": "text"
    },
    "apono": {
      "parameters": {
        "ANY_ADDITIONAL_PROPERTY": "text"
      }
    }
  },
  "connected_resource_types": [
    "text"
  ],
  "custom_access_details": "text",
  "owner": {
    "attribute_type": "text",
    "attribute_value": [
      "text"
    ],
    "source_integration_reference": "text"
  },
  "owners_mapping": {
    "key_name": "text",
    "attribute_type": "text",
    "source_integration_reference": "text"
  }
}
200

OK

{
  "id": "text",
  "name": "text",
  "type": "text",
  "category": "text",
  "connector_id": "text",
  "status": "text",
  "last_sync_time": "text",
  "integration_config": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "secret_store_config": {
    "aws": {
      "region": "text",
      "secret_id": "text"
    },
    "gcp": {
      "project": "text",
      "secret_id": "text"
    },
    "kubernetes": {
      "namespace": "text",
      "name": "text"
    },
    "azure": {
      "vault_url": "text",
      "name": "text"
    },
    "hashicorp_vault": {
      "secret_engine": "text",
      "path": "text"
    },
    "onepassword": {
      "vault_id": "text",
      "item_id": "text"
    },
    "apono": {
      "parameters": {
        "ANY_ADDITIONAL_PROPERTY": "text"
      }
    }
  },
  "connected_resource_types": [
    "text"
  ],
  "custom_access_details": "text",
  "owner": {
    "attribute_type": "text",
    "attribute_value": [
      "text"
    ],
    "source_integration_id": "text",
    "source_integration_name": "text"
  },
  "owners_mapping": {
    "key_name": "text",
    "attribute_type": "text",
    "source_integration_id": "text",
    "source_integration_name": "text"
  }
}

Delete Integration

delete
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired
Responses
204

No Content

No content

delete/api/admin/v4/integrations/{id}
DELETE /api/admin/v4/integrations/{id} HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
204

No Content

No content

list integrations

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200

OK

application/json
get/api/v2/integrations
GET /api/v2/integrations HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

OK

{
  "data": [
    {
      "id": "text",
      "name": "text",
      "description": "text",
      "type": "text",
      "status": "Initializing",
      "details": "text",
      "provisioner_id": "text",
      "connection": {},
      "last_sync_time": 1,
      "metadata": {},
      "secret_config": {},
      "connected_resource_types": [
        "text"
      ],
      "custom_access_details": "text"
    }
  ],
  "pagination": {
    "total": 1,
    "limit": 1,
    "offset": 1
  }
}

create integration

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
namestringRequired
descriptionstring · nullableOptional
typestringRequired
provisioner_idstring · nullableOptional
metadataobjectRequired
secret_configobject · SecretConfigOptional
connected_resource_typesstring[] · nullableOptional
custom_access_detailsstring · nullableOptional
Responses
200

OK

application/json
idstringRequired
namestringRequired
descriptionstring · nullableOptional
typestringRequired
statusstring · enumRequiredPossible values:
detailsstring · nullableOptional
provisioner_idstring · nullableOptional
connectionobject · ConnectionMetadataOptional
last_sync_timenumber · doubleOptionalExample: {seconds}.{nanos}
metadataobjectRequired
secret_configobject · SecretConfigOptional
connected_resource_typesstring[]Required
custom_access_detailsstring · nullableOptional
post/api/v2/integrations
POST /api/v2/integrations HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 174

{
  "name": "text",
  "description": "text",
  "type": "text",
  "provisioner_id": "text",
  "metadata": {},
  "secret_config": {},
  "connected_resource_types": [
    "text"
  ],
  "custom_access_details": "text"
}
200

OK

{
  "id": "text",
  "name": "text",
  "description": "text",
  "type": "text",
  "status": "Initializing",
  "details": "text",
  "provisioner_id": "text",
  "connection": {},
  "last_sync_time": 1,
  "metadata": {},
  "secret_config": {},
  "connected_resource_types": [
    "text"
  ],
  "custom_access_details": "text"
}

list integration configs

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200

OK

application/json
get/api/v2/integrations-catalog
GET /api/v2/integrations-catalog HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

OK

{
  "data": [
    {
      "name": "text",
      "type": "text",
      "description": "text",
      "params": [
        {
          "id": "text",
          "label": "text",
          "values": [
            "text"
          ],
          "default": "text",
          "optional": true
        }
      ],
      "requires_secret": true,
      "supported_secret_types": [
        "text"
      ]
    }
  ],
  "pagination": {
    "total": 1,
    "limit": 1,
    "offset": 1
  }
}

get integration config

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
typestringRequired
Responses
200

OK

application/json
namestringRequired
typestringRequired
descriptionstringRequired
requires_secretbooleanRequired
supported_secret_typesstring[]Required
get/api/v2/integrations-catalog/{type}
GET /api/v2/integrations-catalog/{type} HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

OK

{
  "name": "text",
  "type": "text",
  "description": "text",
  "params": [
    {
      "id": "text",
      "label": "text",
      "values": [
        "text"
      ],
      "default": "text",
      "optional": true
    }
  ],
  "requires_secret": true,
  "supported_secret_types": [
    "text"
  ]
}

get integration

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired
Responses
200

OK

application/json
idstringRequired
namestringRequired
descriptionstring · nullableOptional
typestringRequired
statusstring · enumRequiredPossible values:
detailsstring · nullableOptional
provisioner_idstring · nullableOptional
connectionobject · ConnectionMetadataOptional
last_sync_timenumber · doubleOptionalExample: {seconds}.{nanos}
metadataobjectRequired
secret_configobject · SecretConfigOptional
connected_resource_typesstring[]Required
custom_access_detailsstring · nullableOptional
get/api/v2/integrations/{id}
GET /api/v2/integrations/{id} HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

OK

{
  "id": "text",
  "name": "text",
  "description": "text",
  "type": "text",
  "status": "Initializing",
  "details": "text",
  "provisioner_id": "text",
  "connection": {},
  "last_sync_time": 1,
  "metadata": {},
  "secret_config": {},
  "connected_resource_types": [
    "text"
  ],
  "custom_access_details": "text"
}

update integration

put
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired
Body
namestringRequired
descriptionstring · nullableOptional
provisioner_idstring · nullableOptional
metadataobjectRequired
secret_configobject · SecretConfigOptional
connected_resource_typesstring[] · nullableOptional
custom_access_detailsstring · nullableOptional
Responses
200

OK

application/json
idstringRequired
namestringRequired
descriptionstring · nullableOptional
typestringRequired
statusstring · enumRequiredPossible values:
detailsstring · nullableOptional
provisioner_idstring · nullableOptional
connectionobject · ConnectionMetadataOptional
last_sync_timenumber · doubleOptionalExample: {seconds}.{nanos}
metadataobjectRequired
secret_configobject · SecretConfigOptional
connected_resource_typesstring[]Required
custom_access_detailsstring · nullableOptional
put/api/v2/integrations/{id}
PUT /api/v2/integrations/{id} HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 160

{
  "name": "text",
  "description": "text",
  "provisioner_id": "text",
  "metadata": {},
  "secret_config": {},
  "connected_resource_types": [
    "text"
  ],
  "custom_access_details": "text"
}
200

OK

{
  "id": "text",
  "name": "text",
  "description": "text",
  "type": "text",
  "status": "Initializing",
  "details": "text",
  "provisioner_id": "text",
  "connection": {},
  "last_sync_time": 1,
  "metadata": {},
  "secret_config": {},
  "connected_resource_types": [
    "text"
  ],
  "custom_access_details": "text"
}

delete integration

delete
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired
Responses
200

OK

application/json
messagestringRequired
delete/api/v2/integrations/{id}
DELETE /api/v2/integrations/{id} HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

OK

{
  "message": "text"
}

refresh integration

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired
Responses
200

OK

application/json
messagestringRequired
post/api/v2/integrations/{id}/refresh
POST /api/v2/integrations/{id}/refresh HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

OK

{
  "message": "text"
}

get user tags of a resource

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
resource_idstringRequired
Responses
200

OK

application/json
resource_idstringRequired
get/api/v3/integrations/resources/{resource_id}/user-tags
GET /api/v3/integrations/resources/{resource_id}/user-tags HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

OK

{
  "resource_id": "text",
  "tags": {
    "ANY_ADDITIONAL_PROPERTY": "text"
  }
}

update user tags of a resource

put
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
resource_idstringRequired
Body
Responses
200

OK

application/json
messagestringRequired
put/api/v3/integrations/resources/{resource_id}/user-tags
PUT /api/v3/integrations/resources/{resource_id}/user-tags HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 43

{
  "tags": {
    "ANY_ADDITIONAL_PROPERTY": "text"
  }
}
200

OK

{
  "message": "text"
}

get integration permissions for the entire tenant

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired
Query parameters
resource-typestring · nullableOptional
Responses
200

OK

application/json
get/api/v3/integrations/{id}/permissions
GET /api/v3/integrations/{id}/permissions HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

OK

{
  "data": [
    {
      "name": "text",
      "id": "text",
      "resource_type": "text"
    }
  ],
  "pagination": {
    "total": 1,
    "limit": 1,
    "offset": 1
  }
}

get integration resources for the entire tenant

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired
Query parameters
resource-typestring · nullableOptional
Responses
200

OK

application/json
get/api/v3/integrations/{id}/resources
GET /api/v3/integrations/{id}/resources HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

OK

{
  "data": [
    {
      "id": "text",
      "name": "text",
      "type": "text",
      "status": {
        "status": "Active",
        "message": "text"
      }
    }
  ],
  "pagination": {
    "total": 1,
    "limit": 1,
    "offset": 1
  }
}

Last updated

Was this helpful?